public class ottotest
{
  public static void main(String arg[])
  {
	  double mhava=6.5e-4;  // kg air in the cylinder	
	  double T1=300.0; // air inlet temperature degree K
	  double P1=1.0;   // air inlet pressure bar
	  double CR=8.0;   // compression ratio V2/V1
	  double T3=2000.0; //degree K maximum temperature
	  double etaexpansion=0.9; //compression isentropic efficiency
	  double etacompression=0.9; //expansion isentropic efficien    
      otto o=new otto(mhava,T1,P1,CR,T3,etacompression,etaexpansion);
      System.out.println(o.toString());
  }
}